org.apache.tomcat.util.descriptor.tld

## Class TldParser

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.TldParser

-     public class TldParser
      extends Object

  Parses a Tag Library Descriptor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TldParser(boolean namespaceAware, boolean validation, boolean blockExternal)`
    `TldParser(boolean namespaceAware, boolean validation, RuleSet ruleSet, boolean blockExternal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaglibXml` | `parse(TldResourcePath path)`
    `void` | `setClassLoader(ClassLoader classLoader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TldParser

          public TldParser(boolean namespaceAware,
                           boolean validation,
                           boolean blockExternal)

    - #### TldParser

          public TldParser(boolean namespaceAware,
                           boolean validation,
                           RuleSet ruleSet,
                           boolean blockExternal)

  - ### Method Detail

    - #### parse

          public TaglibXml parse(TldResourcePath path)
                          throws IOException,
                                 SAXException

      Throws:
        `IOException`
        `SAXException`

    - #### setClassLoader

          public void setClassLoader(ClassLoader classLoader)

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.